package com.ruoyi.mxjb.domain;

import com.fasterxml.jackson.annotation.JsonInclude;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 科目组合对象 mxjb_selected_group
 * 
 * @author mingxue
 * @date 2021-12-25
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class MxjbSelectedGroup extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 组合id */
    private Integer groupId;

    /** 科目掩码 */
    @Excel(name = "科目掩码")
    private Long mask;

    /** 组合名称 */
    @Excel(name = "组合名称")
    private String name;
    private String course0;
    private String course1;
    private String newgaokaoType;

    /** 序号 */
    @Excel(name = "序号")
    private Long rank;

    public void setGroupId(Integer groupId) 
    {
        this.groupId = groupId;
    }

    public Integer getGroupId() 
    {
        return groupId;
    }
    public void setMask(Long mask) 
    {
        this.mask = mask;
    }

    public Long getMask() 
    {
        return mask;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setRank(Long rank) 
    {
        this.rank = rank;
    }

    public Long getRank() 
    {
        return rank;
    }

    public String getCourse0() {
        return course0;
    }

    public void setCourse0(String course0) {
        this.course0 = course0;
    }

    public String getCourse1() {
        return course1;
    }

    public void setCourse1(String course1) {
        this.course1 = course1;
    }

    public String getNewgaokaoType() {
        return newgaokaoType;
    }

    public MxjbSelectedGroup setNewgaokaoType(String newgaokaoType) {
        this.newgaokaoType = newgaokaoType;
        return this;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("groupId", getGroupId())
            .append("mask", getMask())
            .append("name", getName())
            .append("rank", getRank())
            .toString();
    }
}
